# LIFEsimMC

[![PyPI](https://img.shields.io/pypi/v/lifesimmc.svg)][pypi_]
[![Status](https://img.shields.io/pypi/status/lifesimmc.svg)][status]
[![Python Version](https://img.shields.io/pypi/pyversions/lifesimmc)][python version]
[![License](https://img.shields.io/pypi/l/lifesimmc)][license]

[![Read the documentation at https://lifesimmc.readthedocs.io/](https://img.shields.io/readthedocs/lifesimmc/latest.svg?label=Read%20the%20Docs)][read the docs]
[![Tests](https://github.com/pahuber/lifesimmc/workflows/Tests/badge.svg)][tests]
[![Codecov](https://codecov.io/gh/pahuber/lifesimmc/branch/main/graph/badge.svg)][codecov]

[![pre-commit](https://img.shields.io/badge/pre--commit-enabled-brightgreen?logo=pre-commit&logoColor=white)][pre-commit]
[![Black](https://img.shields.io/badge/code%20style-black-000000.svg)][black]

[pypi_]: https://pypi.org/project/lifesimmc/

[status]: https://pypi.org/project/lifesimmc/

[python version]: https://pypi.org/project/lifesimmc

[read the docs]: https://lifesimmc.readthedocs.io/

[tests]: https://github.com/pahuber/lifesimmc/actions?workflow=Tests

[codecov]: https://app.codecov.io/gh/pahuber/lifesimmc

[pre-commit]: https://github.com/pre-commit/pre-commit

[black]: https://github.com/psf/black

*LIFEsimMC* is a Monte Carlo-based end-to-end simulator for the Large Interferometer For Exoplanets (LIFE). It
uses [PHRINGE](https://github.com/pahuber/PHRINGE) for the generation of synthetic data and provides an additional suite
of signal extraction and data analysis tools.

It is currently being developed and will be available in due time. The documentation will be available here once it is
ready.

## Installation

You can install _LIFEsimMC_ via [pip] from [PyPI]:

```console
$ pip install lifesimmc
```

## Usage

Please see the [Command-line Reference] for details.

## Contributing

Contributions are very welcome.
To learn more, see the [Contributor Guide].

## License

Distributed under the terms of the [GPL 3.0 license][license],
_LIFEsim 2_ is free and open source software.

## Issues

If you encounter any problems,
please [file an issue] along with a detailed description.

## Credits

This project was generated from [@cjolowicz]'s [Hypermodern Python Cookiecutter] template.

[@cjolowicz]: https://github.com/cjolowicz

[pypi]: https://pypi.org/

[hypermodern python cookiecutter]: https://github.com/cjolowicz/cookiecutter-hypermodern-python

[file an issue]: https://github.com/pahuber/lifesimmc/issues

[pip]: https://pip.pypa.io/

<!-- github-only -->

[license]: https://github.com/pahuber/lifesimmc/blob/main/LICENSE

[contributor guide]: https://github.com/pahuber/lifesimmc/blob/main/CONTRIBUTING.md

[command-line reference]: https://lifesimmc.readthedocs.io/en/latest/usage.html
